Telegram APIUpload
upload.reuploadCdnFile
Request a reupload of a certain file to a CDN DC.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Request a reupload of a certain file to a CDN DC.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/upload.reuploadCdnFile" \ -H "Content-Type: application/json" \ -d '{ "params": { "fileToken": "string", "requestToken": "string" } }'{ "result": { "_": "fileHash", "offset": 0, "limit": 0, "hash": "string" }}getWebFile
Returns content of a web file, by proxying the request through telegram, see the [webfile docs for more info](https://core.telegram.org/api/files#downloading-webfiles). Note: the query must be sent to the DC specified in the webfile_dc_id [MTProto configuration field](https://core.telegram.org/api/config#mtproto-configuration).
saveBigFilePart
Saves a part of a large file (over 10 MB in size) to be later passed to one of the methods.